stages:
  - build
  - build_ui

build:
  stage: build
  image: docker
  variables:
    DOCKER_DRIVER: overlay
  services:
    - docker:dind

  before_script:
    - docker info
    - apk update
    - apk upgrade
    - apk add curl bash gcc make musl-dev python3-dev libffi-dev openssl-dev cargo
    - curl -O https://bootstrap.pypa.io/get-pip.py
    - python3 get-pip.py
    - pip install docker-compose

  script:
    - export VERSION=$(grep "version" project.properties|cut -d'=' -f2)
    - curl -o .env -L https://raw.githubusercontent.com/OpenLMIS/openlmis-ref-distro/master/settings-sample.env
    - docker-compose run --entrypoint /dev-ui/build.sh equipment-ui
    - docker-compose build image
    - docker tag openlmistz/equipment-ui:latest openlmistz/equipment-ui:$VERSION
    - docker login -u $cidockeruser -p $cipassword
    - docker push openlmistz/equipment-ui:$VERSION
    - docker logout

build_ui:
  stage: build_ui
  trigger:
    project: openlmis/tanzania-ui
    branch: master